Package com.independentsoft.office.odf.styles

# Class AutomaticStyles

java.lang.Object
com.independentsoft.office.odf.styles.AutomaticStyles

public class AutomaticStyles extends Object
Represents automatic styles used in a document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutomaticStyles()`
  Initializes a new instance of the AutomaticStyles class.
  `AutomaticStyles​(InternalXMLStreamReader reader)`
  Instantiates a new automatic styles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AutomaticStyles`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<PageLayout>`
  `getPageLayouts()`
  Contains collection of PageLayout objects.
  `List<Style>`
  `getStyles()`
  Contains collection of Style objects.
  `void`
  `renameStyle​(Style style, String newName)`
  Rename style.
  `String`
  `toString()`
  Converts the value of the current AutomaticStyles object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AutomaticStyles

    public AutomaticStyles()
    Initializes a new instance of the AutomaticStyles class.

  - ### AutomaticStyles

    public AutomaticStyles​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new automatic styles.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### renameStyle

    public void renameStyle​(Style style, String newName)
    Rename style.
    Parameters:
      `style` - the style
      `newName` - the new name

  - ### clone

    public AutomaticStyles clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current AutomaticStyles object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyles

    public List<Style> getStyles()
    Contains collection of Style objects.
    Returns:
      the styles

  - ### getPageLayouts

    public List<PageLayout> getPageLayouts()
    Contains collection of PageLayout objects.
    Returns:
      the page layouts